unit DatenbankEintrag;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtDlgs, StdCtrls, ExtCtrls,jpeg;

type
  TFormDatenbankeintrag = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    EditBauteil: TEdit;
    EditBeschreibung: TEdit;
    EditDatenblatt: TEdit;
    EditAnschluss: TEdit;
    EditURL: TEdit;
    ButtonSpeichern: TButton;
    ButtonAbbruch: TButton;
    Label6: TLabel;
    LabelInifile: TLabel;
    ButtonPinoutFileselect: TButton;
    Image1: TImage;
    OpenDialog1: TOpenDialog;
    Label7: TLabel;
    LabelHinweis: TLabel;
    Timer1: TTimer;
    procedure ButtonPinoutFileselectClick(Sender: TObject);
    procedure EditBauteilKeyPress(Sender: TObject; var Key: Char);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }   
    Pfad:string;
//    procedure OpenJpgFile(const Filename: string);

  end;

var
  FormDatenbankeintrag: TFormDatenbankeintrag;

implementation

{$R *.DFM}

procedure TFormDatenbankeintrag.ButtonPinoutFileselectClick(Sender: TObject);
begin
  openDialog1.InitialDir:=pfad;
  openDialog1.Filter:='Bilder (*.jpg und *.bmp) |*.JPG;*.BMP;';
  if openDialog1.Execute then begin
    try
      image1.Picture.LoadFromFile(openDialog1.FileName);
      image1.Visible:=true;
      EditAnschluss.Text:=extractFilename(openDialog1.FileName);
    except
      on EInvalidGraphic do
        Image1.Picture.Graphic := nil;

    end;
  end;
end;

//Hinweis: Keine Aktionen auf Abbruch/Speichern Buttons, da diese
//lediglich den modalen Dialog schlieen.

procedure TFormDatenbankeintrag.EditBauteilKeyPress(Sender: TObject;
  var Key: Char);
begin
  if not (key in['0'..'9',' ','_','A'..'Z','a'..'z','-','.']) then begin
    key:=#0;
    LabelHinweis.visible:=true;
    timer1.enabled:=true;
  end;
end;

procedure TFormDatenbankeintrag.Timer1Timer(Sender: TObject);
begin
  LabelHinweis.visible:=false;
  timer1.enabled:=false;
end;

end.
